Page MenuHomePhabricator

Redirect button in the Vector skin must be mirrored in an RTL environment
Closed, ResolvedPublic

Description

The Redirect button in the enhanced toolbar for the Vector skin looks like a bended arrow that emulates the arrow that appears when a redirect page is viewed. In an RTL wiki this arrow points from right-to-left, but the redirect button on the toolbar is always left-to-right. This makes it hard to guess what the button does.


Version: unspecified
Severity: normal

Details

Reference
bz26148

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 21 2014, 11:23 PM
bzimport set Reference to bz26148.
Amire80 created this task.Nov 27 2010, 10:40 PM

This is probably true for many other icons with a directional bias, such as search and replace, signature, etc.

Thanks for the comment. I thought of a few and put them at Bug 28554, although none of them is as confusing as Redirect.

"New line" also looks like an arrow, but it should NOT be reversed, because it emulates the Enter key, which looks the same on keyboards for RTL languages.

jp.posma wrote:

Fixed in r86853.

GOIII moved this task from Backlog to Closed on the WikiEditor board.Apr 3 2016, 9:33 AM